# Imprimante

## Fonctionnement

### Site web

Le site de l'imprimante utilise le framework django. Le code source est
disponible sur le [gitlab](https://gitlab.crans.org/nounous/django-printer).

### Gestion des scans

Le scan est géré par un script python disponible sur le [gitlab du
crans](https://gitlab.crans.org/nounous/scanner).

Il est géré par le systemd `scanner`. Il se charge d'établir une connexion
avec l'imprimante puis de récupérer les documents scannés et de les écrire
sur le serveur afin de le rendre accessible depuis la page web. Cependant,
La création des shortcuts de l'imprimante pour le scan est géré par le site
django.

### Gestion des impressions

Les impressions sont gérées par cups depuis le site django.

## Installation

- [Installation du site](https://gitlab.crans.org/nounous/django-printer) en
  suivant le `README.md`.
- [Installation du script](https://gitlab.crans.org/nounous/scanner) pour le
  scanner en suivant le `README.md`.
